/////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file RTTC/ForceFeedback/BasicImpl/CallbackInfo.cpp
 * \version 5.2.1
 *
 * \brief Contains the definition of methods of
 * RTTC::ForceFeedback::BasicImpl::CallbackInfo.
 *
 * This file contains the definition of the methods of the
 * RTTC::ForceFeedback::BasicImpl::CallbackInfo class.
 */

#include "CallbackInfo.h"

///////////////////////////////////////////////////////////////////////////////
RTTC::ForceFeedback::BasicImpl::
CallbackInfo::
~CallbackInfo()
{
}

///////////////////////////////////////////////////////////////////////////////
RTTC::ForceFeedback::BasicImpl::
CallbackInfo::
CallbackInfo(
  std::ostream & rOutputStream,
  unsigned int verbosity )
:
  _outputStream( rOutputStream ),
  _verbosity( verbosity )
{
}

