/////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file RTTC/ForceFeedback/BasicImpl/PublisherImpl.h
 * \version 5.2.1
 *
 * \brief \#include this file in order to instantiate
 * ForceFeedback SDO Servant objects.
 *
 * This file is the one header file that an application
 * programs should \#include in order to instantiate
 * ForceFeedback SDO Servant objects.
 *
 * This header file aggregates the header files
 * needed by most TENA Middleware application to be able to create
 * ForceFeedback SDO Servant objects.
 *
 * \todo Update the documentation for this file.  It was copied directly from
 * RTTC/ForceFeedback/Publisher.h and is thus not entirely accurate.
 */

#ifndef RTTC_ForceFeedback_BasicImpl_PublisherImpl_h
#define RTTC_ForceFeedback_BasicImpl_PublisherImpl_h

#include <RTTC/ForceFeedback/Publisher.h>
#include <basicImpl_RTTC_TASemulator_v4_mscRegisterFactory.h>
#include "PublicationInfoImpl.h"


#endif // ifndef RTTC_ForceFeedback_BasicImpl_PublisherImpl_h
