//////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file 
 * \version 5.2.1
 *

 * \brief Aggregation of source files to speed compilation.
 *
 * Compiling source files together results in much faster compiles.
 */
#include <DCT/System/config.h>

// These are included here because of a bug with ACE and Windows STL

#include <list>
#include <vector>
#include <set>
#include <deque>
#include <map>

#include <RTTC/SceneGenerator/BasicImpl/CallbackInfo.cpp>
#include <RTTC/SceneGenerator/BasicImpl/DestructionCallbackFactoryImpl.cpp>
#include <RTTC/SceneGenerator/BasicImpl/DestructionCallbackImpl.cpp>
#include <RTTC/SceneGenerator/BasicImpl/DiscoveryCallbackFactoryImpl.cpp>
#include <RTTC/SceneGenerator/BasicImpl/DiscoveryCallbackImpl.cpp>
#include <RTTC/SceneGenerator/BasicImpl/PublicationInfoImpl.cpp>
#include <RTTC/SceneGenerator/BasicImpl/StateChangeCallbackFactoryImpl.cpp>
#include <RTTC/SceneGenerator/BasicImpl/StateChangeCallbackImpl.cpp>
#include <RTTC/SceneGenerator/BasicImpl/SubscriptionInfoImpl.cpp>
